uk.ac.starlink.feather

## Interface ItemAccumulator

- All Known Implementing Classes:
    AbstractItemAccumulator

      public interface ItemAccumulator

  Collects all the values of a column and then writes them out as a feather-format column.
  Since:
    27 Feb 2020

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addItem(java.lang.Object item)` Receive the next value in the column.
    `void` | `close()` Tidies up resources, in particular discarding any off-heap temporary storage that may have been allocated.
    `uk.ac.bristol.star.feather.ColStat` | `writeColumnBytes(java.io.OutputStream out)` Writes a feather-format column to the given output stream representing all the objects submitted by prior valls to the `addItem` method.

- - ### Method Detail

    - #### addItem

          void addItem(java.lang.Object item)
                throws java.io.IOException

      Receive the next value in the column.
      Parameters:
        `item` - column cell value
      Throws:
        `java.io.IOException`

    - #### writeColumnBytes

          uk.ac.bristol.star.feather.ColStat writeColumnBytes(java.io.OutputStream out)
                                                       throws java.io.IOException

      Writes a feather-format column to the given output stream representing all the objects submitted by prior valls to the `addItem` method. The number of bytes written must be a multiple of 8.
      Parameters:
        `out` - destination stream
      Returns:
        details about what was written
      Throws:
        `java.io.IOException`

    - #### close

          void close()
              throws java.io.IOException

      Tidies up resources, in particular discarding any off-heap temporary storage that may have been allocated. Calling any of the other methods of this interface after closing it has undefined effects. Multiple calls to close are permitted.
      Throws:
        `java.io.IOException`